Passer au contenu principal
GET
/
v2
/
private
/
user
/
fundraiser
/
{id}
/
personal-page
/
{pageId}
/
donors
Page Donors List
curl --request GET \
  --url https://api.crowdchange.dev/v2/private/user/fundraiser/{id}/personal-page/{pageId}/donors \
  --header 'Authorization: <api-key>'
[
  {
    "amount": 100,
    "amount_match": 100,
    "name": "John Snow",
    "date": "2021-01-01 00:00:00",
    "contact_email": "john@example.com",
    "fundraiser_team_id": 1,
    "fundraiser_page_id": 1,
    "comment": "Comment"
  }
]

Path parameters

id
integer
requis
Campaign ID.
pageId
integer
requis
Personal Page ID.

Query parameters

page
integer
Page number. Default: 1
limit
integer
Number of results to return. Default: 10
sort
string
Key to sort by. Allowed values: id, amount Default: id
direction
string
Direction of sorting. Allowed values: asc, desc Default: desc
only_received
integer
Include only received transactions. Default: 0

Response

Returns an array of objects with the following fields.
amount
number
Donation amount
amount_match
number
Matched amount for campaigns with donation matching enabled.
name
string
Donor’s name or alias.
date
string
Date and time of donation
contact_email
string
Donor’s email
fundraiser_team_id
integer
Team ID.
fundraiser_page_id
integer
Page ID.
comment
string
Donor’s comment.
Other responses
StatusDescription
400Bad Request
403Forbidden
[
  {
    "amount": 100,
    "amount_match": 100,
    "name": "John Snow",
    "date": "2021-01-01 00:00:00",
    "contact_email": "john@example.com",
    "fundraiser_team_id": 1,
    "fundraiser_page_id": 1,
    "comment": "Comment"
  }
]